function Create(self)
	self.LTimer = Timer()

	self.target = nil

	local curdist = 50
	for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X
		local avgy = actor.Pos.Y - self.Pos.Y
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2)
		if dist < curdist then
			curdist = dist
			self.parent = actor
		end
	end

	if MovableMan:IsActor(self.parent) then
		self.Team = self.parent.Team
	else
		self.Team = -1
	end
end

function Update(self)
	if self.LTimer:IsPastSimMS(50) or MovableMan:IsActor(self.target) == false then
		if MovableMan:IsActor(self.target) == false then
			local curdist = 300
			for actor in MovableMan.Actors do
				local avgx = actor.Pos.X - self.Pos.X
				local avgy = actor.Pos.Y - self.Pos.Y
				local dist = math.sqrt(avgx ^ 2 + avgy ^ 2)
				if dist < curdist and actor.Team ~= self.Team then
					curdist = dist
					self.target = actor
				end
			end
		end

		if MovableMan:IsActor(self.target) then
			if self:IsEmitting() == false then
				self:EnableEmission(true)
			end

			local turnspeed = 0.35
			local maxspeed = 23

			local targetdir = math.atan2(-(self.target.Pos.Y - self.Pos.Y), (self.target.Pos.X - self.Pos.X))
			local desiredspeedx = math.cos(targetdir) * maxspeed
			local desiredspeedy = math.sin(targetdir) * -maxspeed

			if self.Vel.X < desiredspeedx then
				self.Vel.X = self.Vel.X + turnspeed
			elseif self.Vel.X > desiredspeedx then
				self.Vel.X = self.Vel.X - turnspeed
			end
			if self.Vel.Y < desiredspeedy then
				self.Vel.Y = self.Vel.Y + turnspeed
			elseif self.Vel.Y > desiredspeedy then
				self.Vel.Y = self.Vel.Y - turnspeed
			end
		end

		if self.LTimer:IsPastSimMS(7500) then
			self:GibThis()
		end
	end
end
